# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "buffer-plz"
version = "0.0.4"
authors = [
    "darkseid",
    "sytten <emile@caido.io>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Buffer for the ParsePlz ecosystem"
readme = false
license = "MIT"
repository = "https://github.com/parseplz/primitives"

[lib]
name = "buffer_plz"
path = "src/lib.rs"

[dependencies.bytes]
version = "1.11.1"

[lints.clippy]
len_without_is_empty = "allow"
unwrap_used = "deny"
